GNU bug report logs - #16951
zless error under ulimit -v

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gzip; Reported by: Jaroslaw Weglinski <jaroslaw.weglinski@HIDDEN>; merged with #18427; dated Thu, 6 Mar 2014 16:47:01 UTC; Maintainer for gzip is bug-gzip@HIDDEN.
Merged 16951 18427. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16951 <at> debbugs.gnu.org:


Received: (at 16951) by debbugs.gnu.org; 7 Mar 2014 01:40:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 20:40:08 2014
Received: from localhost ([127.0.0.1]:54040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLjlg-000284-44
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 20:40:08 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62]:58904)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1WLjlZ-00027P-6X
 for 16951 <at> debbugs.gnu.org; Thu, 06 Mar 2014 20:40:02 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 28DDE39E8011;
 Thu,  6 Mar 2014 17:40:00 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id OqdAPyw4GXNb; Thu,  6 Mar 2014 17:39:59 -0800 (PST)
Received: from [192.168.1.9] (pool-108-0-233-62.lsanca.fios.verizon.net
 [108.0.233.62])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 2488639E8008;
 Thu,  6 Mar 2014 17:39:59 -0800 (PST)
Message-ID: <5319236B.6020404@HIDDEN>
Date: Thu, 06 Mar 2014 17:39:55 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.3.0
MIME-Version: 1.0
To: Mark Nudelman <markn@HIDDEN>, 
 Jaroslaw Weglinski <jaroslaw.weglinski@HIDDEN>,
 16951 <at> debbugs.gnu.org
Subject: Re: bug#16951: zless error under ulimit -v
References: <53189157.7050505@HIDDEN> <5318ED33.40402@HIDDEN>
 <5318F82B.8020909@HIDDEN>
In-Reply-To: <5318F82B.8020909@HIDDEN>
Content-Type: multipart/mixed; boundary="------------020208080502000104060208"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16951
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------020208080502000104060208
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

Mark Nudelman wrote:
> Since less-451, if LESSOPEN starts with two pipe chars, less does
> examine the exit status of the preprocessor.

Thanks, I didn't know that, and I have installed the attached patch to 
the gzip master on savannah to take advantage of it.  Unfortunately the 
patch doesn't suffice, because 'less' examines the preprocessor's exit 
status only when the preprocessor generates no output.  In the case 
we're talking about, the preprocessor generates some output, but then 
runs out of memory and exits with nonzero status.

You can reproduce the 'less' problem by creating a large text file 't', 
compressing it with 'gzip t', running the following shell command in one 
window:

LESSOPEN='||-gzip -cdfq -- %s' less t.gz

When you see the first screenful, go to another window and kill the gzip 
process that's waiting for 'less' to read more input.  'less' won't 
notice or report the gzip failure.

--------------020208080502000104060208
Content-Type: text/plain; charset=UTF-8;
 name="0001-zless-improve-gzip-failure-checking-and-port-to-new-.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-zless-improve-gzip-failure-checking-and-port-to-new-.pa";
 filename*1="tch"
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--------------020208080502000104060208--




Information forwarded to bug-gzip@HIDDEN:
bug#16951; Package gzip. Full text available.

Message received at 16951 <at> debbugs.gnu.org:


Received: (at 16951) by debbugs.gnu.org; 6 Mar 2014 22:53:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 17:53:00 2014
Received: from localhost ([127.0.0.1]:53936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLh9w-0004LF-GD
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 17:53:00 -0500
Received: from qmta07.emeryville.ca.mail.comcast.net ([76.96.30.64]:51592)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <markn@HIDDEN>) id 1WLgtD-0003oj-U5
 for 16951 <at> debbugs.gnu.org; Thu, 06 Mar 2014 17:35:44 -0500
Received: from omta15.emeryville.ca.mail.comcast.net ([76.96.30.71])
 by qmta07.emeryville.ca.mail.comcast.net with comcast
 id aKQf1n0031Y3wxoA7Nbj6H; Thu, 06 Mar 2014 22:35:43 +0000
Received: from [192.168.1.107] ([50.184.101.91])
 by omta15.emeryville.ca.mail.comcast.net with comcast
 id aNbi1n0061yK2V68bNbib8; Thu, 06 Mar 2014 22:35:42 +0000
Message-ID: <5318F82B.8020909@HIDDEN>
Date: Thu, 06 Mar 2014 14:35:23 -0800
From: Mark Nudelman <markn@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:24.0) Gecko/20100101 Thunderbird/24.3.0
MIME-Version: 1.0
To: Paul Eggert <eggert@HIDDEN>, 
 Jaroslaw Weglinski <jaroslaw.weglinski@HIDDEN>,
 16951 <at> debbugs.gnu.org
Subject: Re: bug#16951: zless error under ulimit -v
References: <53189157.7050505@HIDDEN> <5318ED33.40402@HIDDEN>
In-Reply-To: <5318ED33.40402@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=comcast.net;
 s=q20121106; t=1394145343;
 bh=7QSwrh/YATq7l7enEId991f3ISdwRa4CeQYr3H8V//U=;
 h=Received:Received:Message-ID:Date:From:MIME-Version:To:Subject:
 Content-Type;
 b=a9Wa2++pwAdFrVjhHEnmdQXd/otUSkmuYB8Icf/SPcOpTD0c5XAl8fHvpfLrRSJFg
 LmmwH5pvbQOEq0nVA2vSxm70rYC3xg5f1u2K6Fdiopr7ghdJxRTIdzroNSA/RPDcQz
 3EIkJlwpIqk40UXwNZHK2i2FxIHz/vpQTTmpqSQrU/sJg4u4T6Gdu6LlKVmM+4x6DQ
 nd5LXCxIyTqIRw1E8cMrkstZz2mxvhysybo52LYIvV+hQJHP6xFpwua1QF5UMKW6PK
 ks4AGWtLL3YjNKMUtf5A3pxwpwcYNN5ZxIgDF/ye3y9bCiocqwrFtHqCpKHjQhO0JD
 hcRPZOxRhN/1g==
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 16951
X-Mailman-Approved-At: Thu, 06 Mar 2014 17:52:59 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Hi Paul,
Since less-451, if LESSOPEN starts with two pipe chars, less does
examine the exit status of the preprocessor.  Is this what you're
looking for?

--Mark


On 3/6/2014 1:48 PM, Paul Eggert wrote:
> Thanks for the bug report.  This bug occurs because 'less' ignores the
> exit status of gzip.  That is, 'less' uses the LESSOPEN environment
> variable to discover that gzip is the input processor, and uses gzip,
> but when it calls pclose on the resulting stream it discards the exit
> status returned by pclose.  'less' should inspect the exit status and
> report an error in that case.
> 
> I'll CC: this email to bug-less@HIDDEN to give its developer a
> heads-up.  Mark, the original bug report is here:
> 
> http://bugs.gnu.org/16951




Information forwarded to bug-gzip@HIDDEN:
bug#16951; Package gzip. Full text available.

Message received at 16951 <at> debbugs.gnu.org:


Received: (at 16951) by debbugs.gnu.org; 6 Mar 2014 21:48:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 16:48:39 2014
Received: from localhost ([127.0.0.1]:53872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLg9f-0002PQ-8E
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 16:48:39 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62]:46670)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1WLg9d-0002PI-1t
 for 16951 <at> debbugs.gnu.org; Thu, 06 Mar 2014 16:48:37 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 2DC4B39E8014;
 Thu,  6 Mar 2014 13:48:36 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id yOjyD9bQih6x; Thu,  6 Mar 2014 13:48:35 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 8CA6539E8008;
 Thu,  6 Mar 2014 13:48:35 -0800 (PST)
Message-ID: <5318ED33.40402@HIDDEN>
Date: Thu, 06 Mar 2014 13:48:35 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.3.0
MIME-Version: 1.0
To: Jaroslaw Weglinski <jaroslaw.weglinski@HIDDEN>, 
 16951 <at> debbugs.gnu.org
Subject: Re: bug#16951: zless error under ulimit -v
References: <53189157.7050505@HIDDEN>
In-Reply-To: <53189157.7050505@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16951
Cc: bug-less@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Thanks for the bug report.  This bug occurs because 'less' ignores the 
exit status of gzip.  That is, 'less' uses the LESSOPEN environment 
variable to discover that gzip is the input processor, and uses gzip, 
but when it calls pclose on the resulting stream it discards the exit 
status returned by pclose.  'less' should inspect the exit status and 
report an error in that case.

I'll CC: this email to bug-less@HIDDEN to give its developer a 
heads-up.  Mark, the original bug report is here:

http://bugs.gnu.org/16951




Information forwarded to bug-gzip@HIDDEN:
bug#16951; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Mar 2014 16:46:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 11:46:14 2014
Received: from localhost ([127.0.0.1]:53508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLbQz-000865-0P
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 11:46:13 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41584)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jaroslaw.weglinski@HIDDEN>)
 id 1WLa2m-0005Yt-0v
 for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 10:17:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jaroslaw.weglinski@HIDDEN>)
 id 1WLa2c-0001Gx-2j
 for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 10:17:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47765)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jaroslaw.weglinski@HIDDEN>)
 id 1WLa2c-0001Gs-0N
 for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 10:16:58 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43174)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jaroslaw.weglinski@HIDDEN>)
 id 1WLa2U-0000hT-Lt
 for bug-gzip@HIDDEN; Thu, 06 Mar 2014 10:16:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jaroslaw.weglinski@HIDDEN>)
 id 1WLa2N-0001DR-Bt
 for bug-gzip@HIDDEN; Thu, 06 Mar 2014 10:16:50 -0500
Received: from mail-ee0-f43.google.com ([74.125.83.43]:49409)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jaroslaw.weglinski@HIDDEN>)
 id 1WLa2N-0001D8-63
 for bug-gzip@HIDDEN; Thu, 06 Mar 2014 10:16:43 -0500
Received: by mail-ee0-f43.google.com with SMTP id e53so1171223eek.2
 for <bug-gzip@HIDDEN>; Thu, 06 Mar 2014 07:16:41 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:date:from:user-agent:mime-version:to
 :subject:content-type:content-transfer-encoding;
 bh=lzP04DBnch0w7bEroNqB5eODK3CQtZ5uPZD2iE466M4=;
 b=NfJ8o3PV7dzKaF6U0bKMn5cYnCkyRS71l9eviIHZy8fjCTWcJWqHTEkeyq/BXAW2JF
 rRhOgoKDCXa11GjWLhvTgfoVbrPqvaQSf1CxKFm7KkaRG1zOomAstma9n8CF+Vx2YWQX
 BFiaaeIxEInKfuPctTBR9W3C34Vj1HP/V+XJsGxs0Rit/wgmdsN/HegdXxNOsbpjsEAc
 7olYpCHEBZ80gN9/MbHCnTVq9it1/TUA9HEmHbLYIBLPJZ/aj/iGanXHxKRII3utMN50
 i8OuwmAtruzrN/3I3p8K0VX/krn2dYD2oXptjDJZdDRc7VbBH9yc0sanJwZoBIhOmRzW
 liSA==
X-Gm-Message-State: ALoCoQlF2+IBPKM4OGbXVsteh0uyV3k7J2gOLvNHjyQQc5KXxro20265XTA7GK/q4YA2u8o9KfVJ
X-Received: by 10.14.88.131 with SMTP id a3mr13424570eef.64.1394119001836;
 Thu, 06 Mar 2014 07:16:41 -0800 (PST)
Received: from [10.255.0.41] (fw-vrrp.atmsoftware.pl. [217.17.44.148])
 by mx.google.com with ESMTPSA id x3sm22898642eep.17.2014.03.06.07.16.40
 for <bug-gzip@HIDDEN>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Thu, 06 Mar 2014 07:16:41 -0800 (PST)
Message-ID: <53189157.7050505@HIDDEN>
Date: Thu, 06 Mar 2014 16:16:39 +0100
From: Jaroslaw Weglinski <jaroslaw.weglinski@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 5.1;
 rv:24.0) Gecko/20100101 Thunderbird/24.3.0
MIME-Version: 1.0
To: bug-gzip@HIDDEN
Subject: zless error under ulimit -v
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 06 Mar 2014 11:46:10 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Greetings!
gzip 1.3.5 (Scientific Linux release 5.6), when using zless under
virtual memory limit, gzip teminates and goes defunc when hitting limit,
and then less does not propagate error (from user's perspective it looks
like proper end of decompression).

> [test@esb-dev ~]$ ulimit -v 100000
> [test@esb-dev ~]$ ulimit -v
> 100000

> $ ps -ef| grep ^test
> test     31062 27.4  0.2  99968 37292 pts/5    S+   16:11   0:15 less /tmp/pomiary.txt.gz
> test     31063 15.8  0.0      0     0 pts/5    Z+   16:11   0:08 [gzip] <defunct>

and less's output (no sign of error):
> 12285443946;13/11/15 10:15:00,000;198591;
> 12285443946;13/11/15 10:30:00,000;199028;
> 12285443946;13/11/15 10:45:00,000;199223;
> 12285443946;13/11/15 11:00:00,000;199342;
> 12285443946;13/11/15 11:15:00,000;199395;
> 12285443946;13/11/15 11:30:00,000;199420;
> 12285443946;13/11/15 11:45:00,000;199443;
> 12285443946;13/11/15 12:00:00,000;199769;
> /tmp/pomiary.txt.gz lines ?-?/? (END)


regards,
J. Weglinski




Acknowledgement sent to Jaroslaw Weglinski <jaroslaw.weglinski@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gzip@HIDDEN. Full text available.
Report forwarded to bug-gzip@HIDDEN:
bug#16951; Package gzip. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.